<?php

add_action( 'cmb2_admin_init', 'secondline_themes_page_meta_box' );
if(!function_exists('secondline_themes_page_meta_box')) {
        function secondline_themes_page_meta_box() {

        // Start with an underscore to hide fields from custom fields list
        $prefix = 'secondline_themes_';

        /**
         * Sample metabox to demonstrate each field type included
         */
        $secondline_themes_cmb_demo = new_cmb2_box( array(
            'id'            => $prefix . 'metabox_page_settings',
            'title'         => esc_html__('Page Settings', 'satchmo-secondline'),
            'object_types'  => array( 'page' ), // Post type,
        ) );


        $secondline_themes_cmb_demo->add_field( array(
            'name'       => esc_html__('Sub-title', 'satchmo-secondline'),
            'id'         => $prefix . 'sub_title',
            'type'       => 'text',
        ) );

        $secondline_themes_cmb_demo->add_field( array(
            'name'       => esc_html__('Sidebar Display', 'satchmo-secondline'),
            'id'         => $prefix . 'page_sidebar',
            'type'       => 'select',
            'options'     => array(
                'hidden-sidebar'   => esc_html__( 'Hide Sidebar', 'satchmo-secondline' ),
                'right-sidebar'    => esc_html__( 'Right', 'satchmo-secondline' ),
                'left-sidebar'    => esc_html__( 'Left', 'satchmo-secondline' ),
            ),
        ) );

        $secondline_themes_cmb_demo->add_field( array(
            'name' => esc_html__('Title Area Background Image', 'satchmo-secondline'),
            'id'         => $prefix . 'header_image',
            'type'         => 'file',
            'preview_size' => array( 100, 100 ), // Default: array( 50, 50 )
        ) );

        $secondline_themes_cmb_demo->add_field( array(
            'name'       => esc_html__('Disable Title Area', 'satchmo-secondline'),
            'id'         => $prefix . 'disable_page_title',
            'type'       => 'checkbox',
        ) );
	
    }
}



add_action( 'cmb2_admin_init', 'secondline_themes_page_header_meta_box' );
if(!function_exists('secondline_themes_page_header_meta_box')) {
    function secondline_themes_page_header_meta_box() {

        // Start with an underscore to hide fields from custom fields list
        $prefix = 'secondline_themes_';

        /**
         * Sample metabox to demonstrate each field type included
         */
        $secondline_themes_cmb_demo = new_cmb2_box( array(
            'id'            => $prefix . 'metabox_page_header',
            'title'         => esc_html__('Display Settings', 'satchmo-secondline'),
            'object_types'  => array( 'page' ), // Post type,
        ) );


        $secondline_themes_cmb_demo->add_field( array(
            'name'       => esc_html__('Disable Header', 'satchmo-secondline'),
            'id'         => $prefix . 'header_disabled',
            'type'       => 'checkbox',
        ) );

        $secondline_themes_cmb_demo->add_field( array(
            'name'       => esc_html__('Disable Footer', 'satchmo-secondline'),
            'id'         => $prefix . 'disable_footer_per_page',
            'type'       => 'checkbox',
        ) );



    }
}



add_action( 'cmb2_admin_init', 'secondline_themes_index_post_meta_box' );
if(!function_exists('secondline_themes_index_post_meta_box')) {
    function secondline_themes_index_post_meta_box() {

        // Start with an underscore to hide fields from custom fields list
        $prefix = 'secondline_themes_';

        /**
         * Sample metabox to demonstrate each field type included
         */
        $secondline_themes_cmb_demo = new_cmb2_box( array(
            'id'            => $prefix . 'metabox_post',
            'title'         => esc_html__('Post Settings', 'satchmo-secondline'),
            'object_types'  => array( 'post', 'podcast', 'episode', 'product', 'download' ), // Post type
        ) );

        $secondline_themes_cmb_demo->add_field( array(
            'name' => esc_html__('Image Gallery', 'satchmo-secondline'),
            'id'         => $prefix . 'gallery',
            'type'         => 'file_list',
            'preview_size' => array( 100, 100 ), // Default: array( 50, 50 )
        ) );	

        $secondline_themes_cmb_demo->add_field( array(
            'name' => esc_html__('Title Area Background Image', 'satchmo-secondline'),
            'id'         => $prefix . 'header_image',
            'type'         => 'file',
            'preview_size' => array( 100, 100 ), // Default: array( 50, 50 )
        ) );    	

        $secondline_themes_cmb_demo->add_field( array(
            'name' => esc_html__('External Embed Code (SoundCloud, Libsyn, MixCloud etc.) ', 'satchmo-secondline'),
            'id'         => $prefix . 'external_embed',
            'type'       => 'textarea_code',
            'options' => array( 'disable_codemirror' => true ),
        ) );	

		$secondline_themes_cmb_demo->add_field( array(
			'name' => esc_html__('Episode Number', 'satchmo-secondline'),
			'id'         => $prefix . 'episode_number',
			'type'       => 'text',
			'attributes'  => array(
				'type'	=> 'number',
				'min' 	=> '0',
			),
		) );

		$secondline_themes_cmb_demo->add_field( array(
			'name' => esc_html__('Season Number', 'satchmo-secondline'),
			'id'         => $prefix . 'season_number',
			'type'       => 'text',
			'attributes'  => array(
				'type'	=> 'number',
				'min' 	=> '0',
			),
		) );		



    }
}




add_action( 'cmb2_admin_init', 'secondline_user_meta_box' );
/**
 * Hook in and add a metabox to demonstrate repeatable grouped fields
 */
if(!function_exists('secondline_user_meta_box')) {
    function secondline_user_meta_box() {
	
        // Start with an underscore to hide fields from custom fields list
        $prefix = 'secondline_';

        /**
         * Sample metabox to demonstrate each field type included
         */
        $secondline_cmb_demo = new_cmb2_box( array(
            'id'            => $prefix . 'user_author_info',
            'title'         => esc_html__('Author Settings', 'satchmo-secondline'),
            'object_types'     => array( 'user' ), // Tells CMB2 to use user_meta vs post_meta

        ) );

        $secondline_cmb_demo->add_field( array(
            'name'     => esc_html__( 'Author Information', 'satchmo-secondline' ),
            'id'       => $prefix . 'extra_info',
            'type'     => 'title',
            'on_front' => false,
        ) );


        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Author Sub-headline', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'user_sub_headline',
            'type' => 'text',
        ) );

        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Author Website URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'authorurl',
            'type' => 'text_url',
        ) );

        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Facebook URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'facebookurl',
            'type' => 'text_url',
        ) );

        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Twitter URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'twitterurl',
            'type' => 'text_url',
        ) );

        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Dribbble URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'dribbbleurlurl',
            'type' => 'text_url',
        ) );


        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Linkedin URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'linkedinurl',
            'type' => 'text_url',
        ) );

        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Pinterest URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'pinteresturl',
            'type' => 'text_url',
        ) );

        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'MixCloud URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'mixcloudurl',
            'type' => 'text_url',
        ) );

        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Instagram URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'instagramurl',
            'type' => 'text_url',
        ) );




        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Youtube URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'youtubeurl',
            'type' => 'text_url',
        ) );



        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Vimeo URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'vimeourl',
            'type' => 'text_url',
        ) );

        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'Soundcloud URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'soundcloudurl',
            'type' => 'text_url',
        ) );


        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'MixCloud URL', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'mixcloudurl',
            'type' => 'text_url',
        ) );




        $secondline_cmb_demo->add_field( array(
            'name' => esc_html__( 'E-mail Address', 'satchmo-secondline' ),
            'desc' => esc_html__( 'Leave blank to hide this field', 'satchmo-secondline' ),
            'id'   => $prefix . 'emailmailto',
            'type' => 'text',
        ) );


    }
}




